Bug 1772599 - [IPI Baremetal]] Installer needs to decompress RHCOS images for libvirt and baremetal IPI installations
Summary: [IPI Baremetal]] Installer needs to decompress RHCOS images for libvirt and b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.0
Assignee: Robert Krawitz
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-14 17:40 UTC by Stephen Benjamin
Modified: 2020-02-06 11:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-23 11:12:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2657 'None' closed Bug 1772599: Handle compressed images for libvirt and baremetal IPI 2020-06-17 10:20:52 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:13:06 UTC

Description Stephen Benjamin 2019-11-14 17:40:02 UTC
RHCOS images now come gzipped and the caching code in openshift/install needs to be updated to handle this before handing off to libvirt.

This is blocking baremetal IPI and libvvirt installs.  OpenStack was fixed  in BZ#1770441.

Comment 3 Sasha Smolyak 2019-12-11 12:08:12 UTC
Gzipped images are unpacked properly. Verified

Comment 5 errata-xmlrpc 2020-01-23 11:12:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.